# This file created by conda-build 3.18.9
# meta.yaml template originally from:
# C:\ci\containers\000035bp4nq\tmp\build\80754af9\rsync-recipes\luigi-2.8.7-python_2.7-on-winbuilder, last modified Thu Aug  1 11:56:20 2019
# ------------------------------------------------

package:
    name: luigi
    version: 2.8.7
source:
    sha256: 9bf85e36d7090128935ad4070b54f12d036f646e3b66c53c5c96a415d56dbb38
    url: https://github.com/spotify/luigi/archive/2.8.7.tar.gz
build:
    entry_points:
        - luigi = luigi.cmdline:luigi_run
        - luigi-deps = luigi.tools.deps:main
        - luigi-deps-tree = luigi.tools.deps_tree:main
        - luigi-grep = luigi.tools.luigi_grep:main
        - luigid = luigi.cmdline:luigid
    number: '0'
    script: C:\ci\luigi_1564685487037\_h_env\python.exe -m pip install . --no-deps
        -vv
    string: py27_0
requirements:
    host:
        - certifi 2019.6.16 py27_1
        - pip 19.1.1 py27_0
        - python 2.7.16 hcb6e200_0
        - setuptools 41.0.1 py27_0
        - sqlite 3.29.0 h0c8e037_0
        - vc 9 h7299396_1
        - vs2008_runtime 9.00.30729.1 hfaea7d5_1
        - wheel 0.33.4 py27_0
        - wincertstore 0.2 py27hf04cefb_0
    run:
        - enum34
        - python >=2.7,<2.8.0a0
        - python-dateutil >=2.7.5,<3
        - setuptools
        - tornado >=4.0,<6
    run_constrained:
        - prometheus_client ==0.5.0
        - toml <2.0.0
test:
    commands:
        - luigi --help
        - luigid --help
        - luigi-grep --help
        - luigi-deps --help
        - luigi-deps-tree --help
    imports:
        - luigi
        - luigi.contrib
        - luigi.contrib.hdfs
        - luigi.scheduler
        - luigi.tools
about:
    description: 'Luigi handles dependency resolution, workflow management, visualization,

        handling failures, command line integration, and much more. It also comes

        with Hadoop support built in.

        '
    dev_url: https://github.com/spotify/luigi
    doc_url: https://luigi.readthedocs.io/en/stable/
    home: https://github.com/spotify/luigi
    license: Apache-2.0
    license_family: Apache
    license_file: LICENSE
    summary: Workflow mgmgt + task scheduling + dependency resolution.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - kwilcox
        - nehaljwani
        - ocefpaf
